Package Details: catalyst-test 15.12-30

Git Clone URL: https://aur.archlinux.org/catalyst-test.git (read-only)
Package Base: catalyst-test
Description: AMD/ATI Catalyst drivers for linux AKA Crimson. catalyst-dkms + catalyst-utils + lib32-catalyst-utils + experimental powerXpress suppport. PRE-GCN Radeons are optionally supported
Upstream URL: http://www.amd.com
Licenses: custom
Conflicts: catalyst, catalyst-control, catalyst-daemon, catalyst-dkms, catalyst-generator, catalyst-hook, catalyst-utils, lib32-catalyst-utils, lib32-libegl, lib32-libgl, lib32-libgles, lib32-libglvnd, lib32-mesa-libgl, lib32-mesa-libgl-git, lib32-opencl-amd, lib32-opencl-catalyst, libegl, libgl, libgles, libglvnd, mesa-libgl, mesa-libgl-git, opencl-amd, opencl-catalyst
Provides: catalyst=15.12, catalyst-dkms=15.12, catalyst-hook=15.12, catalyst-libgl=15.12, catalyst-utils=15.12, dri, lib32-catalyst-libgl=15.12, lib32-catalyst-utils=15.12, lib32-dri, lib32-libegl, lib32-libgl, lib32-libgles, lib32-libtxc_dxtn, lib32-mesa-libgl, lib32-mesa-libgl-git, lib32-opencl-catalyst=15.12, lib32-opencl-driver, libatical=15.12, libegl, libgl, libgles, libtxc_dxtn, mesa-libgl, mesa-libgl-git, opencl-catalyst=15.12, opencl-driver
Submitter: Vi0L0
Maintainer: Vi0L0
Last Packager: Vi0L0
Votes: 171
Popularity: 0.040271
First Submitted: 2010-02-17 20:49
Last Updated: 2019-05-22 18:29

Dependencies (28)

Required by (903)

Sources (40)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 ... Next › Last »

npfeiler commented on 2018-02-25 20:06

@Vi0L0 thx. yes i also think it’s pre GCN, but the old control switch is apparently not necessary (for me), or may even be counterproductive in case of the 5770 (i believe, not tested).

It would be possible to split package the ocl runtime…

But it’s fine as it is.

Vi0L0 commented on 2018-02-25 19:36

@npfeiler i suspect your opencl runtime issues are related to pre-gcn architecture and so I decided to correlate 15.9 opencl libs with PKGBUILD's _old_control switch. I never noticed problems with opencl in this driver on my 290x

Vi0L0 commented on 2018-02-25 18:54

updated, also with opencl runtime from 15.9 (I added it to lib32 section as well) + uploaded https://aur.archlinux.org/packages/libxfont/

npfeiler commented on 2018-02-24 15:57

Apparently 4.15.5 introduced breaking changes. patch: https://pastebin.com/b9YLp7aC

npfeiler commented on 2018-02-19 16:44

The dl is empty, link is dead, or rather: redirects due to hotlinking now.

You can download it manually here: https://support.amd.com/en-us/download/desktop?os=Linux%20x86_64

I don’t know if there is a new way to hotlink it or if there is another reputable location which mirrors it.

quicken2k commented on 2018-02-19 14:51

Ok, libxfont works fine now, but the driver itself (the .run file) fails to extract, says failed checksums, tried --skipchecksums (not advised) no luck, any fix?

npfeiler commented on 2018-02-18 22:24

I updated the links in the other post. (wanting to skip a few steps on pastebin backfired^^)

Thanks for providing libxfont. (i simply modified .PKGINFO in the previous package until now)

But why not put those on the AUR (and provide their binary builds in the xorg117 repo)?

Vi0L0 commented on 2018-02-18 19:38

@quicken2k: you will find updated libxfont in xorg repositories, like [xorg117] Server = http://mirror.hactar.xyz/Vi0L0/xorg117/x86_64 , new libxfont package is basing on martadinata666's PKGBUILD: https://pastebin.com/raw/7U7ef72J

Vi0L0 commented on 2018-02-18 17:45

@npfeiler: thanks and sorry but I didnt have time to look at your code earlier than now. Unfortunatelly now your links are dead, can you re-up?

@quicken2k: I will fix it soon

quicken2k commented on 2018-02-18 14:39

I can't get xorg-server to install libxfont is missing for some reason. Using xorg-server 1.14 for gnome3 to work I have tried 1.17 same result.